# Pagination

The arguments “limit” and “bookmark” at the root object level are used for pagination. By default, all queries return a maximum of 25 results. To get the next page, submit the same query by adding the value of bookmark returned in the last set of result. When there are no more pages, the bookmark returned will be empty.

```graphql
query {
    car (limit: 5, bookmark: "g1AAAACEeJzLYWBgYMpgSmHgKy5JLCrJTq"){
        Id
        make
        color
    }
}
```

Response:

```json
{
    "data": {
        "car_count": 1,
        "car": [
            {
                "Id": "car1",
                "make": "ford",
                "color": "red"
            }
        ]
    }
}
```

The limit and bookmark arguments can be combined with other queries – like

> ```graphql
> query {
>     car (where: {year: {_gt: 2010} },
>         limit: 5, bookmark: "") {
>         Id
>         make
>         color
>     }
> }
> ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spydra.app/developers/api-reference/asset-tokenization/graphql/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
